<?php
namespace Sprinix\RequestQuote\Model;

/**
 * Class RequestQuote
 * @package Request\RequestQuote\Model
 */
class Quote extends \Magento\Framework\Model\AbstractModel implements \Magento\Framework\DataObject\IdentityInterface
{
	const CACHE_TAG = 'request_quotes';
	protected $_cacheTag = 'request_quotes';
	protected $_eventPrefix = 'request_quotes';
	protected function _construct()
	{
		$this->_init('Sprinix\RequestQuote\Model\ResourceModel\Quote');
	}

    /**
     * @return array|string[]
     */
	public function getIdentities()
	{
		return [self::CACHE_TAG . '_' . $this->getId()];
	}

    /**
     * @return array
     */
	public function getDefaultValues()
	{
		$values = [];
		return $values;
	}
}
?>
