<?php

namespace Sprinix\RequestQuote\Controller\Adminhtml\Checkquotes;

use  Magento\Backend\App\Action\Context;
use  Magento\Framework\View\Result\PageFactory;

/**
 * Class AddTags
 * @package Sprinix\RequestQuote\Controller\Adminhtml\Checkquotes
 */
class Index extends \Magento\Backend\App\Action
{
    /**
     * @var bool|\Magento\Framework\View\Result\PageFactory
     */
    protected $resultPageFactory = false;

    /**
     * AddTags constructor.
     * @param \Magento\Backend\App\Action\Context $context
     * @param \Magento\Framework\View\Result\PageFactory $resultPageFactory
     */
    public function __construct(
        Context $context,
        PageFactory $resultPageFactory
    )
    {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
    }

    /**
     * @return \Magento\Framework\App\ResponseInterface|\Magento\Framework\Controller\ResultInterface|\Magento\Framework\View\Result\Page
     */
    public function execute()
    {
        $resultPage = $this->resultPageFactory->create();
        $resultPage->getConfig()->getTitle()->prepend((__('Request Quote Recieved')));
        return $resultPage;
    }
}