<?php

namespace Sprinix\RequestQuote\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;
use Magento\Customer\Model\Session;

/**
 * Class QuantityUpdate
 * @package Sprinix\RequestQuote\Controller\AddTags
 */
class QuantityUpdate extends \Magento\Framework\App\Action\Action
{
    /**
     * @var PageFactory
     */
    protected $_pageFactory;

    /**
     * @var Session
     */
    protected $customerSession;

    /**
     * QuantityUpdate constructor.
     * @param Context $context
     * @param PageFactory $pageFactory
     * @param Session $CustomerSession
     */
    public function __construct(
        Context $context,
        PageFactory $pageFactory,
        Session $CustomerSession)
    {
        $this->_pageFactory = $pageFactory;
        $this->customerSession = $CustomerSession;
        return parent::__construct($context);
    }

    /**
     * @return \Magento\Framework\App\ResponseInterface|\Magento\Framework\Controller\ResultInterface|void
     */
    public function execute()
    {
        $quantity = 0;
        $this->customerSession->setrequestQuoteQuantity($quantity);
    }
}