<?php
namespace Sprinix\RequestQuote\Model;

/**
 * Class RequestQuote
 * @package Request\RequestQuote\Model
 */
class QuoteItem extends \Magento\Framework\Model\AbstractModel implements \Magento\Framework\DataObject\IdentityInterface
{
    const CACHE_TAG = 'Request_Quote_Items';

    protected function _construct()
    {
        $this->_init('Sprinix\RequestQuote\Model\ResourceModel\QuoteItem');
    }

    /**
     * @return array|string[]
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}